Skip to main content
PATCH
Error

Authorizations

Authorization
string
header
required

Prefix the value with "ApiKey" to indicate the custom authorization type

Path Parameters

returnOrderId
string<uuid>
required

Body

application/json

Bulk update payload for return order items (Process Return).

items
object[]
required

One or more item updates. All items must belong to the path return order.

Minimum array length: 1
isUniqueItemIds
boolean
required

Response

Items updated

Returned after return-order items were processed successfully.

returnOrderId
string<uuid>
required

Return order ID from the request path.

updatedItemCount
integer<int32>
required

Number of items actually updated by the domain service.

items
object[]
required

All return order items for this return order after the patch (same shape as GET return retrievals[].items).